<?php require_once('Connections/conn.php'); ?><?php
  session_start();
   
   // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="historico_notas.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="historico_notas.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  
	  
  $nombre=$_GET["nombre"];
  $campo=$_GET["campo"];
  $valor_campo=$_GET["valor_campo"];
  $id_alumno=$_GET['id_alumno'];
  $alumVolver=$_GET["alumVolver"];
  $nombre=$_GET["nombre"];
  $veces=$_GET["veces"];
  if($veces!=2) $_SESSION["logged_in"] = false;
  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
 
?>

<html>
<head>
<title>sadce -- historico_notas</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_seccion_alumno.php",{ id:$(this).val(),c:$("#cedula").val()},function(data){$("#seccion").html(data);})
	});
	$("#id_carrera").change(function(){
		$.post("carga_sedes_alumno1.php",{ id:$(this).val(),c:$("#cedula").val() },function(data){$("#sede").html(data);})
	});
	
})
</script>

<script>
$(document).ready(function(){
	$("#mencion").change(function(){
		$.post("cargar_semestres_uno.php",{ id:$(this).val() },function(data){$("#semestre").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#valoracion").change(function(){
		$.post("cargar_valoracion.php",{ id:$(this).val() },function(data){$("#nota").html(data);})
	});
})
</script>

<script>
$(document).ready(function(){
	$("#semestre").change(function(){
		$.post("carga_materias_act.php",{ id:document.addnota.mencion.value,c:document.addnota.id_carrera.value,p:document.addnota.pensum.value,s:$(this).val() },function(data){$("#materia").html(data);})
	});
})
</script>

<body>
<table class="bd" width="100%">
<tr><td class="hr"><h2>Calificaciones del Estudiante</h2></td></tr>
<tr><td><?php echo $nombre ?></td></tr>
</table>
<?php
  if (!login()) exit;
?>
<div style="float: right"><a href="historico_notas.php?a=logout&veces=<?php echo $veces ?>">[ Salir ]</a></div>
<br>
<?php
  //  $conn = connect();
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
   // Limpia el record temporal del estudiante
  $sql = "delete from historico_notas_aux where id_alumno='$id_alumno'";
     mysql_query($sql, $conn) or die(mysql_error());
	 // Crea el record académico temporal del estudiante que se inscribirá. 
	 $sql = "insert into historico_notas_aux select * from historico_notas where  id_alumno='$id_alumno'";
      mysql_query($sql, $conn) or die(mysql_error());
  
 
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert($id_alumno);
      break;
    case "update":
      sql_update($id_alumno);
      break;
    case "delete":
      sql_delete($id_alumno);
      break;
  }

  switch ($a) {
    case "add":
      addrec($alumVolver, $recid, $id_alumno, $nombre, $campo, $valor_campo);
      break;
    case "view":
      viewrec($recid, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
      break;
    case "edit":
      editrec($recid, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
      break;
    case "del":
      deleterec($recid, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
      break;
    default:
      select($id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
</td></tr></table>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select($id_alumno,$alumVolver,$nombre, $campo, $valor_campo)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $conn;
  global $veces;
 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
	
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($id_alumno);
  $count = sql_getrecordcount($id_alumno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>

<?php $alumVolver=$_GET["alumVolver"];?>
<?php $nombre=$_GET["nombre"];?>

<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>Número de Registros <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="historico_notas.php?nombre=<?php echo $nombre ?>&id_alumno=<?php echo $id_alumno ?>&alumVolver=<?php echo $alumVolver ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>
<option value="<?php echo "id_carrera" ?>"<?php if ($filterfield == "id_carrera") { echo "selected"; } ?>><?php echo htmlspecialchars("Programa") ?></option>
<option value="<?php echo "periodo" ?>"<?php if ($filterfield == "periodo") { echo "selected"; } ?>><?php echo htmlspecialchars("Período") ?></option>
<option value="<?php echo "seccion" ?>"<?php if ($filterfield == "seccion") { echo "selected"; } ?>><?php echo htmlspecialchars("Sección") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="historico_notas.php?a=reset&&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>

<?php showpagenav($page, $pagecount, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo); ?>

<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
 <td class="hr" align="center">Editar</td> 
<td class="hr" align="center">Borrar</td>

<td class="hr" align="center"><a class="hr" href="historico_notas.php?order=<?php echo "semestre" ?>&type=<?php echo $ordtypestr ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Sem.") ?></a></td>
<td class="hr" align="center"><a class="hr" href="historico_notas.php?order=<?php echo "id_carrera" ?>&type=<?php echo $ordtypestr ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Código") ?></a></td>
<td class="hr" align="center"><a class="hr" href="historico_notas.php?order=<?php echo "id_materia" ?>&type=<?php echo $ordtypestr ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Nombre de la Unidad Curricular") ?></a></td>
<td class="hr" align="center"><a class="hr" href="historico_notas.php?order=<?php echo "lapso" ?>&type=<?php echo $ordtypestr ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Lapso") ?></a></td>
<td class="hr" align="center"><a class="hr" href="historico_notas.php?order=<?php echo "nota" ?>&type=<?php echo $ordtypestr ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo htmlspecialchars("Nota") ?></a></td>

</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="historico_notas.php?a=view&recid=<?php echo $i ?>&alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><img src="imagenes/search.gif" border="0"</a></td>

<td class="<?php echo $style ?>" align="center"><a href="historico_notas.php?a=edit&recid=<?php echo $i ?>&alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><img src="imagenes/edit.gif" border="0"</a></td> 

<td class="<?php echo $style ?>" align="center"><a href="historico_notas.php?a=del&recid=<?php echo $i ?>&alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><img src="imagenes/delete.png" border="0"</a></td>

<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
$cod_materia=$row["id_materia"];
mysql_select_db($database_conn, $conn);
$query_rstMaterias = "SELECT materias.nombre_materia FROM materias WHERE id_materia='$cod_materia'";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$nombre_materia = $row_rstMaterias['nombre_materia']; 

  $cod_carrera=$row["id_carrera"];
  $query_rstCarreras1 = "Select carreras.nombre_carrera From carreras WHERE carreras.id_carrera='$cod_carrera'";
  $rstCarreras1 = mysql_query($query_rstCarreras1, $conn) or die(mysql_error());
  $row_rstCarreras1 = mysql_fetch_assoc($rstCarreras1);
  $nom_carrera =  $row_rstCarreras1['nombre_carrera'];
  
  $id_periodo=$row["id_periodo"];
  $query_rstPeriodos = "Select codigo,tipo From periodos WHERE id_periodo='$id_periodo'";
  $rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  $periodo =  $row_rstPeriodos['codigo'].' ('.substr($row_rstPeriodos['tipo'],0,3).')';
  
  $valoracion=$row["valoracion"];
  $nota=$row["nota"];

  if($valoracion=="CUALITATIVA") $nota=$row["cualitativa"]; 
?>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["semestre"]) ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["id_materia"]) ?></td>
<td class="<?php echo $style ?>" align="left"><?php echo $nombre_materia ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo $periodo ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo $nota; ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo); ?>
<?php } ?>

<?php function login()
{
  global $_POST;
  global $_SESSION;
  global $_GET;
  global $alumVolver;
  global $nombre;
  global $id_alumno;
  global $campo;
  global $valor_campo;
  global $username;
  

  if (isset($_GET["a"]) && ($_GET["a"] == 'logout')) $_SESSION["logged_in"] = false;
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  if (!$_SESSION["logged_in"]) {
    $login = $username;
    $password = "";
	$veces=2;
    if (isset($_POST["login"])) $login = @$_POST["login"];
    if (isset($_POST["password"])) $password = @$_POST["password"];

    if (($login != "") && ($password != "")) {
      $conn = mysql_connect("localhost", "siga_dbm", "2PN2QDmP6ZsHrcue");
      mysql_select_db("siga_pregrado");
      $sql = "select `psw_notas` from `usuarios` where `username` = '" .$login ."'";
      $res = mysql_query($sql, $conn) or die(mysql_error());
      $row = mysql_fetch_assoc($res) or $row = array(0 => "");;
      if (isset($row)) reset($row);

      if (isset($password) && ($password == trim(current($row)))) {
        $_SESSION["logged_in"] = true;
    }
    else {
?>
<p><b><font color="-1">Disculpe, la combinaci&oacute;n de usuario/contrase&ntilde;a  es incorrecta.</font></b></p>
<?php } } }if (isset($_SESSION["logged_in"]) && (!$_SESSION["logged_in"])) { ?>


<form action="historico_notas.php?a=reset&alumVolver=<?php echo $alumVolver ?>&nombre=<?php echo $nombre ?>&id_alumno=<?php echo $id_alumno ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>" method="post">  
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td>Nombre de Usuario</td>
<td><input disabled="disabled" type="text" name="login" value="<?php echo $login ?>"></td>
</tr>
<tr>
<td>Contrase&ntilde;a</td>
<td><input type="password" name="password" value="<?php echo $password ?>"></td>
</tr>
<tr>
<td><input type="submit" name="action" value="Acceder"></td>
</tr>
</table>
</form>
<?php
  }
  if (!isset($_SESSION["logged_in"])) $_SESSION["logged_in"] = false;
  return $_SESSION["logged_in"];
} ?>



<?php function showrow($row, $recid, $nombre)
  {
  global $conn;
  
  // $conn=connect();

 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");

  
  $cod_carrera=$row["id_carrera"];
  $query_rstCarreras1 = "Select carreras.nombre_carrera From carreras WHERE carreras.id_carrera='$cod_carrera'";
  $rstCarreras1 = mysql_query($query_rstCarreras1, $conn) or die(mysql_error());
  $row_rstCarreras1 = mysql_fetch_assoc($rstCarreras1);
  $totalRows_rstCarreras1 = mysql_num_rows($rstCarreras1);
  
mysql_select_db($database_conn, $conn);
$query_rstDocente = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes ORDER BY docentes.apellidos";
$rstDocente = mysql_query($query_rstDocente, $conn) or die(mysql_error());
$row_rstDocente = mysql_fetch_assoc($rstDocente);
$totalRows_rstDocente = mysql_num_rows($rstDocente);

$cod_docente=$row["id_docente"];
mysql_select_db($database_conn, $conn);
$query_rstDocente1 = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes WHERE id_docente='$cod_docente'";
$rstDocente1 = mysql_query($query_rstDocente1, $conn) or die(mysql_error());
$row_rstDocente1 = mysql_fetch_assoc($rstDocente1);
$totalRows_rstDocente1 = mysql_num_rows($rstDocente1);


  mysql_select_db($database_conn, $conn);
$query_rstSede = "SELECT carreras_alumno.sede, sedes.nombre_sede FROM carreras_alumno Inner Join sedes ON carreras_alumno.sede = sedes.codigo WHERE carreras_alumno.id_alumno=$row[id_alumno]";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);

mysql_select_db($database_conn, $conn);
$xsede=$row["sede"];
$query_rstSede1 = "Select sedes.codigo,sedes.nombre_sede FROM sedes WHERE sedes.codigo='$xsede'";
$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
$row_rstSede1 = mysql_fetch_assoc($rstSede1);
$totalRows_rstSede1 = mysql_num_rows($rstSede1);

$cod_materia=$row["id_materia"];
mysql_select_db($database_conn, $conn);
$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_materia='$cod_materia'";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);

mysql_select_db($database_conn, $conn);
$query_rstPeriodos = "SELECT periodos.id_periodo, periodos.codigo FROM periodos";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);

$id_periodo=$row["id_periodo"];
mysql_select_db($database_conn, $conn);
$query_rstPeriodos1 = "SELECT periodos.codigo FROM periodos WHERE id_periodo='$id_periodo'";
$rstPeriodos1 = mysql_query($query_rstPeriodos1, $conn) or die(mysql_error());
$row_rstPeriodos1 = mysql_fetch_assoc($rstPeriodos1);
$totalRows_rstPeriodos1 = mysql_num_rows($rstPeriodos1);  

$valoracion=$row["valoracion"];
  $nota=$row["nota"];

  if($valoracion=="CUALITATIVA") $nota=$row["cualitativa"]; 
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstCarreras1["nombre_carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstMaterias["nombre_materia"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Facilitador")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstDocente1["profesor"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nota")."&nbsp;" ?></td>
<td class="dr"><?php echo $nota; ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_seccion"]) ?></td>
<tr>
<td class="hr"><?php echo htmlspecialchars("Período")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstPeriodos1["codigo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstSede1["nombre_sede"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["annio"]) ?></td>
</tr>
</table>
<?php 
mysql_free_result($rstMaterias);
mysql_free_result($rstSede);
mysql_free_result($rstSede1);
mysql_free_result($rstCarreras1);
mysql_free_result($rstPeriodos);
mysql_free_result($rstPeriodos1);
mysql_free_result($rstDocente);
mysql_free_result($rstDocente1);


} ?>


<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  
  mysql_select_db($database_conn, $conn);
   mysql_query ("SET NAMES 'utf8'");
  
  $cod_carrera=$row["id_carrera"];

  $query_rstCarreras1 = "Select carreras.nombre_carrera From carreras WHERE carreras.id_carrera='$cod_carrera'";
  $rstCarreras1 = mysql_query($query_rstCarreras1, $conn) or die(mysql_error());
  $row_rstCarreras1 = mysql_fetch_assoc($rstCarreras1);
  $totalRows_rstCarreras1 = mysql_num_rows($rstCarreras1);
  
	
	$query_rstDocente = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes where id_docente>1 ORDER BY docentes.apellidos";
	$rstDocente = mysql_query($query_rstDocente, $conn) or die(mysql_error());
	$row_rstDocente = mysql_fetch_assoc($rstDocente);
	$totalRows_rstDocente = mysql_num_rows($rstDocente);
	
	$cod_docente=$row["id_docente"];

	$query_rstDocente1 = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes WHERE id_docente='$cod_docente'";
	$rstDocente1 = mysql_query($query_rstDocente1, $conn) or die(mysql_error());
	$row_rstDocente1 = mysql_fetch_assoc($rstDocente1);
	$totalRows_rstDocente1 = mysql_num_rows($rstDocente1);
	
	

	
	
	  $query_rstSede = "Select sedes.nombre_sede,codigo From sedes order by nombre_sede";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);
	
	
	$xsede=$row["sede"];
	$query_rstSede1 = "Select sedes.codigo,sedes.nombre_sede FROM sedes WHERE sedes.codigo='$xsede'";
	$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
	$row_rstSede1 = mysql_fetch_assoc($rstSede1);
	$totalRows_rstSede1 = mysql_num_rows($rstSede1);
	
	$cod_materia=$row["id_materia"];

	$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias WHERE id_materia='$cod_materia'";
	$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
	$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
	$totalRows_rstMaterias = mysql_num_rows($rstMaterias);
	

	$query_rstPeriodos = "SELECT periodos.id_periodo, periodos.codigo FROM periodos";
	$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
	$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
	$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
	
	$id_periodo=$row["id_periodo"];

	$query_rstPeriodos1 = "SELECT periodos.id_periodo,periodos.codigo FROM periodos WHERE id_periodo='$id_periodo'";
	$rstPeriodos1 = mysql_query($query_rstPeriodos1, $conn) or die(mysql_error());
	$row_rstPeriodos1 = mysql_fetch_assoc($rstPeriodos1);
	$totalRows_rstPeriodos1 = mysql_num_rows($rstPeriodos1);  
	
	
	$query_rstSecciones = "SELECT DISTINCT secciones.seccion FROM secciones ORDER BY secciones.seccion";
	$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
	$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
	$totalRows_rstSecciones = mysql_num_rows($rstSecciones);
	
	$valoracion=$row["valoracion"];
  $nota=$row["nota"];

  if($valoracion=="CUALITATIVA") $nota=$row["cualitativa"]; 

  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row["id_alumno"])) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede" id="sede">
 <option value="<?php echo $row_rstSede1['codigo']?>"><?php echo $row_rstSede1['nombre_sede']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
  <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?> 
</select>





</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Carrera")."&nbsp;" ?></td>
<td class="dr">
  
  <?php echo str_replace('"', '&quot;', trim($row_rstCarreras1["nombre_carrera"])) ?>

</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Pensum")."&nbsp;" ?></td>
<td class="dr">
  
  <?php echo str_replace('"', '&quot;', trim($row["pensum"])) ?>

</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Componente o Mención")."&nbsp;" ?></td>
<td class="dr">
  
  <?php echo str_replace('"', '&quot;', trim($row["mencion"])) ?>

</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr">
  
  <?php echo str_replace('"', '&quot;', trim($row["semestre"])) ?>

</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr"><?php echo str_replace('"', '&quot;', trim($row_rstMaterias["nombre_materia"])) ?></td>
</tr>
<tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr">
<input name="seccion" id="seccion" type="text"  value="<?php echo str_replace('"', '&quot;', trim($row["id_seccion"])) ?>" size="3">
</td></tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Docente")."&nbsp;" ?></td>
<td class="dr">
<select name="id_docente">
 <option value="<?php echo $row['id_docente']?>"><?php echo $row_rstDocente1['profesor']?></option>
 <option value="0">SIN INFORMACI&Oacute;N</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstDocente['id_docente']?>"><?php echo $row_rstDocente['profesor']?></option>
  <?php
} while ($row_rstDocente = mysql_fetch_assoc($rstDocente));
  $rows = mysql_num_rows($rstDocente);
  if($rows > 0) {
      mysql_data_seek($rstDocente, 0);
	  $row_rstDocente = mysql_fetch_assoc($rstDocente);
  }
?></select>
</td>
</tr>

<tr>
<td class="hr">Lapso Acad&eacute;mico&nbsp;</td>
<td class="dr">
<select name="periodo">
<option value="<?php echo $row_rstPeriodos1['id_periodo']?>"><?php echo $row_rstPeriodos1['codigo']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?></option>
  <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?></select>
</td>
</tr>



<tr>
<td class="hr"><?php echo htmlspecialchars("Valoración")."&nbsp;" ?></td>
<td class="dr">
<select name="valoracion" id="valoracion">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["valoracion"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["valoracion"])) ?></option>
  <option value="CUANTITATIVA">CUANTITATIVA</option>
  <option value="CUALITATIVA">CUALITATIVA</option>
</select>
</td>
</tr>
<tr>
<td class="hr">Calificaci&oacute;n&nbsp;</td>
<td class="dr">
	<select name="nota" id="nota">
	 <option value="<?php echo $nota ?>"><?php echo $nota ?></option>
	</select>
</td>
</tr>





<tr>
<td class="hr">Modalidad de Aprobaci&oacute;n&nbsp;</td>
<td class="dr">
<select name="aprobacion" id="aprobacion">
 <option value="<?php echo str_replace('"', '&quot;', trim($row["aprobacion"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["aprobacion"])) ?></option>
  <option value="REGULAR">REGULAR</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Año")."&nbsp;" ?></td>
<td class="dr"><input name="annio" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["annio"])) ?>" size="4" maxlength="4"></td>
</tr>
</table>
<?php 
mysql_free_result($rstMaterias);

mysql_free_result($rstSede);
mysql_free_result($rstSede1);

mysql_free_result($rstCarreras1);
mysql_free_result($rstPeriodos);
mysql_free_result($rstPeriodos1);
mysql_free_result($rstDocente);
mysql_free_result($rstDocente1);
} ?>

<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  

  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $id_alumno=$row["id_alumno"];
  
  $query_rstCarreras = "Select carreras.nombre_carrera,carreras_alumno.id_carrera, carreras_alumno.mencion,carreras_alumno.sede From carreras Inner Join carreras_alumno ON  carreras_alumno.id_carrera = carreras.id_carrera WHERE carreras_alumno.id_alumno='$id_alumno'";
  $rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
  $row_rstCarreras = mysql_fetch_assoc($rstCarreras);
  $totalRows_rstCarreras = mysql_num_rows($rstCarreras);
  $mencion=$row_rstCarreras["mencion"];
  $nombre_mencion=$mencion;
  $id_carrera=$row_rstCarreras["id_carrera"]; 
  $sede=$row_rstCarreras["sede"]; 
  
  if($mencion!="COMUN"){
     $query_menciones = "SELECT id_mencion,nombre_mencion FROM menciones WHERE id_carrera='$id_carrera' and id_mencion='$mencion' ORDER BY nombre_mencion";
     $rst_menciones = mysql_query($query_menciones, $conn) or die(mysql_error());
     $row_menciones = mysql_fetch_assoc($rst_menciones);
     $nombre_mencion=$row_menciones["nombre_mencion"];
  }
 
	
 
$query_rstDocente = "SELECT docentes.id_docente, concat(docentes.apellidos,' ',docentes.nombres) As profesor FROM docentes ORDER BY docentes.apellidos";
$rstDocente = mysql_query($query_rstDocente, $conn) or die(mysql_error());
$row_rstDocente = mysql_fetch_assoc($rstDocente);
$totalRows_rstDocente = mysql_num_rows($rstDocente);

  $query_rstSede = "Select sedes.nombre_sede,codigo From sedes order by nombre_sede";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);


    $query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias Where id_carrera='$id_carrera' and (id_mencion='$mencion' or id_mencion='COMUN') order by nombre_materia";
    $rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
    // $row_rstMaterias = mysql_fetch_assoc($rstMaterias);
    $totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstPeriodos = "SELECT periodos.id_periodo, periodos.codigo, periodos.tipo FROM periodos where status='CERRADO' order by id_periodo desc";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);


$query_rstSecciones = "SELECT DISTINCT secciones.seccion FROM secciones ORDER BY secciones.seccion";
$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);

$id_alumno=$row["id_alumno"];
$sql_alumnos= "SELECT cedula FROM alumnos where id_alumno='$id_alumno'";
$rst_alumnos = mysql_query($sql_alumnos, $conn) or die(mysql_error());
$row_alumnos = mysql_fetch_assoc($rst_alumnos);
$cedula=$row_alumnos["cedula"];


   
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="3"width="100%">
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><input name="cedula" id="cedula" type="text" disabled="disabled" value="<?php echo $cedula ?>" size="8"></td>
</tr>

<tr>
<td class="hr">Matr&iacute;cula&nbsp;</td>
<td class="dr"><input name="id_alumno" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["id_alumno"])) ?>" size="4"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede" id="sede">
 <option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
  <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?> 
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Carrera")."&nbsp;" ?></td>
<td class="dr">
<select name="id_carrera"  id="id_carrera" style="width:500px"> 
  <option value="<?php echo $row_rstCarreras['id_carrera'] ?>" ><?php echo $row_rstCarreras['nombre_carrera']?>&nbsp;(<?php echo $row_rstCarreras['id_carrera'] ?></option> 
</select>

</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Pensum")."&nbsp;" ?></td>
<td class="dr">
<select name="pensum"  id="pensum" > 
  <option value="0" >SELECCIONE...</option>
  <option value="6-O" >6 (ORIGINAL)</option>
  <option value="6" >6 (ADECUADO)</option>
   
</select>

</td>
</tr>

<tr>
<td class="hr">Componente o Menci&oacute;n&nbsp;</td>
<td class="dr">
<select name="mencion" id="mencion">
 <option value="0" >SELECCIONE...</option> 
 <option value="CIU" >CIU</option> 
 <option value="CG" >COMPONENTE GENERAL</option> 
 <option value="ACE" >ADUANAS Y COMERCIO EXTERIOR</option> 
 <option value="FIN" >FINANZAS P&uacute;BLICAS</option>
 <option value="RT" >RENTAS</option>  
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Semestre")."&nbsp;" ?></td>
<td class="dr">
<select name="semestre"  id="semestre" > 
  <option value="99" >Seleccione...</option>  
</select>

</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Unidad Curricular")."&nbsp;" ?></td>
<td class="dr">
	<select name="materia" id="materia" onChange="verificarNota(document.addnota.id_alumno.value,document.addnota.id_carrera.value,this.value)" style="width:500px">
	  <option value="0" >Seleccione...</option> 
	</select>
</td>
<iframe name="frameNota" id="frameNota" with="0" height="0" frameborder="0"></iframe> 
</tr>

<tr>
<td class="hr">Secci&oacute;n&nbsp;</td>
<td class="dr">
<input name="seccion" id="seccion" type="text"  value="" size="1">
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Docente")."&nbsp;" ?></td>
<td class="dr">
<select name="id_docente">
<option value="0" >SIN INFORMACI&Oacute;N</option> 

  <?php
do {  
?>
  <option value="<?php echo $row_rstDocente['id_docente']?>"><?php echo $row_rstDocente['profesor']?></option>
  <?php
} while ($row_rstDocente = mysql_fetch_assoc($rstDocente));
  $rows = mysql_num_rows($rstDocente);
  if($rows > 0) {
      mysql_data_seek($rstDocente, 0);
	  $row_rstDocente = mysql_fetch_assoc($rstDocente);
  }
?></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Lapso")."&nbsp;" ?></td>
<td class="dr">
<select name="periodo">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPeriodos['id_periodo']?>"><?php echo $row_rstPeriodos['codigo']?>-<?php echo $row_rstPeriodos['tipo']?></option>
  <?php
} while ($row_rstPeriodos = mysql_fetch_assoc($rstPeriodos));
  $rows = mysql_num_rows($rstPeriodos);
  if($rows > 0) {
      mysql_data_seek($rstPeriodos, 0);
	  $row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
  }
?></select>
</td>
<tr>
<td class="hr"><?php echo htmlspecialchars("Valoración")."&nbsp;" ?></td>
<td class="dr">
<select name="valoracion" id="valoracion">
  <option value="0">Seleccione...</option>
  <option value="CUANTITATIVA">CUANTITATIVA</option>
  <option value="CUALITATIVA">CUALITATIVA</option>
</select>
</td>
</tr>
<tr>
<td class="hr">Calificaci&oacute;n&nbsp;</td>
<td class="dr">
	<select name="nota" id="nota">
	  <option value="0" >Seleccione...</option> 
	</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Modalidad de Aprobación")."&nbsp;" ?></td>
<td class="dr">
<select name="aprobacion" id="aprobacion">
  <option value="REGULAR">REGULAR</option>
</select>
</td>
</tr>



</table>
<?php 
mysql_free_result($rstMaterias);
mysql_free_result($rstSede);
mysql_free_result($rstCarreras);
mysql_free_result($rstPeriodos);
mysql_free_result($rstDocente);
mysql_free_result($rstSecciones);
} ?>

<?php function showpagenav($page, $pagecount, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo)
{
global $veces;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos.php?a=retorno&recid=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Regresar</a>&nbsp;</td>
<td><a href="historico_notas.php?a=add&alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Agregar Nota</a>&nbsp;</td> 
<?php if ($page > 1) { ?>
<td><a href="historico_notas.php?page=<?php echo $page - 1 ?>&recid=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="historico_notas.php?page=<?php echo $j ?>&id_alumno=<?php echo $id_alumno ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="historico_notas.php?page=<?php echo $startpage ?>&id_alumno=<?php echo $id_alumno ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="historico_notas.php?page=<?php echo $page + 1 ?>&recid=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo)
{
global $veces;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="historico_notas.php?id_alumno=<?php echo $id_alumno ?>&alumVolver=<?php echo $alumVolver ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="historico_notas.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&alumVolver=<?php echo $alumVolver ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="historico_notas.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&alumVolver=<?php echo $alumVolver ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($alumVolver, $recid, $id_alumno, $nombre, $campo, $valor_campo)
{
global $veces;
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="historico_notas.php?alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addnota" id="addnota" enctype="multipart/form-data" action="historico_notas.php?recid=<?php echo $recid ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&alumVolver=<?php echo $alumVolver ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_alumno" => "$id_alumno",
  "id_carrera" => "",
  "id_materia" => "",
  "id_docente" => "",
  "nota" => "",
  "seccion" => "",
  "periodo" => "",
  "sede" => "",
  "aprobacion" => "",
  "annio" => "",
  "semestre" => "",
  "pensum" => "",
  "valoracion" => "",
  "mencion" => "");
showrowadd($row, false);
?>
<input type="hidden" name="yid_alumno" value="<?php echo $id_alumno ?>">

<p><input type="submit" name="action" value="Agregar"></p>
</form>
<?php } ?>

<?php function viewrec($recid, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo)
{
  global $veces;
  
  $res = sql_select($id_alumno);
  $count = sql_getrecordcount($id_alumno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
?>
<br>
<?php showrow($row, $recid, $nombre) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<!-- <td><a href="historico_notas.php?a=add&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&alumVolver=<?php echo $alumVolver ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>">Agregar Nota</a></td> -->
<td><a href="historico_notas.php?a=edit&recid=<?php echo $recid ?>&alumVolver=<?php $alumVolver ?>&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Editar Nota</a></td>
<td><a href="historico_notas.php?a=del&recid=<?php echo $recid ?>&alumVolver=<?php $alumVolver ?>&id_alumno=<?php echo htmlspecialchars($row["id_alumno"]) ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>">Borrar Nota</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo)
{
  global $veces;
  
  $res = sql_select($id_alumno);
  $count = sql_getrecordcount($id_alumno);

  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);
?>
<br>
<form name="editNota" id="editNota" enctype="multipart/form-data" action="historico_notas.php?recid=<?php echo $recid ?>&alumVolver=<?php echo $alumVolver ?>&nombre=<?php echo $nombre ?>&id_alumno=<?php echo $id_alumno ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>" method="post"  onSubmit="return validar_datos_edit()">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xnota" value="<?php echo $row["nota"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xaprobacion" value="<?php echo $row["aprobacion"] ?>">
<input type="hidden" name="xannio" value="<?php echo $row["annio"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar Cambios"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid,$id_alumno,$alumVolver, $nombre, $campo, $valor_campo)
{
  global $veces;
  $res = sql_select($id_alumno);
  $count = sql_getrecordcount($id_alumno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count, $id_alumno, $alumVolver, $nombre, $campo, $valor_campo);

?>
<br>
<form action="historico_notas.php?recid=<?php echo $recid ?>&alumVolver=<?php echo $alumVolver ?>&id_alumno=<?php echo $id_alumno ?>&nombre=<?php echo $nombre ?>&campo=<?php echo $campo ?>&valor_campo=<?php echo $valor_campo ?>&veces=<?php echo $veces ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $row["id_carrera"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $row["id_materia"] ?>">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xnota" value="<?php echo $row["nota"] ?>">
<input type="hidden" name="xseccion" value="<?php echo $row["seccion"] ?>">
<input type="hidden" name="xperiodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xsede" value="<?php echo $row["sede"] ?>">
<input type="hidden" name="xaprobacion" value="<?php echo $row["aprobacion"] ?>">
<input type="hidden" name="xannio" value="<?php echo $row["annio"] ?>">
<?php showrow($row, $recid, $nombre) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
 
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($id_alumno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);

  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `cedula`,`id_alumno`, `id_carrera`, `id_materia`, `id_docente`, `nota`, `id_seccion`, `id_periodo`, `sede`, `aprobacion`,`annio`,`mencion`,`valoracion`,`cualitativa`,`pensum`,`semestre` FROM `historico_notas` WHERE `id_alumno`='$id_alumno'";
  
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."' ";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_alumno` like '" .$filterstr ."')(`id_carrera` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`id_docente` like '" .$filterstr ."') or (`nota` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') ";
  }

  
  $sql .= " order by semestre, id_materia, id_periodo";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  
 
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($id_alumno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);

  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `historico_notas` WHERE `id_alumno`='$id_alumno'";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " and " .sqlstr($filterfield) ." like '" .$filterstr ."' ";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " and (`id_carrera` like '" .$filterstr ."') or (`id_materia` like '" .$filterstr ."') or (`id_docente` like '" .$filterstr ."') or (`nota` like '" .$filterstr ."') or (`seccion` like '" .$filterstr ."') or (`periodo` like '" .$filterstr ."') or (`sede` like '" .$filterstr ."') or (`annio` like '" .$filterstr ."') ";
  }
 
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert($id_alumno)
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $id_periodo=$_POST["periodo"];
  mysql_select_db($database_conn, $conn);
  
  $id_alumno=@$_POST["yid_alumno"];
  $sql_alumnos= "SELECT cedula FROM alumnos where id_alumno='$id_alumno'";
  $rst_alumnos = mysql_query($sql_alumnos, $conn) or die(mysql_error());
  $row_alumnos = mysql_fetch_assoc($rst_alumnos);
  $cedula=$row_alumnos["cedula"];

$query_rstPeriodos = "SELECT annio FROM periodos where id_periodo='$id_periodo'";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);

  
  $annio=$row_rstPeriodos["annio"];
  
   $id_carrera=$_POST["id_carrera"];
   $id_materia=$_POST["id_materia"];


   
   $mencion=@$_POST["mencion"];
   $nivel=@$_POST["mencion"];
   $semestre=@$_POST["semestre"];
   $valoracion=@$_POST["valoracion"];
   $nota=@$_POST["nota"];
   
   if($valoracion=="CUALITATIVA"){
      $nota=0;
	  $cualitativa="REPROBADA";
	  if($nota=="APROBADA") $cualitativa="APROBADA";
   }
   else{
      $cualitativa="REPROBADA";
	  if($nota>=10) $cualitativa="APROBADA";
   }
   
   if($mencion=="ACE" or $mencion=="FIN" or $mencion=="RT")$nivel="CP";
   if($nivel=="CIU" or $nivel=="CG") $mencion="COMUN";
   
   $pensum=@$_POST["pensum"];
   if($semestre>0 and $semestre<=3) $mencion="COMUN";
  
  $sql = "insert into `historico_notas` (`cedula`,`id_alumno`, `id_carrera`, `pensum`, `mencion`, `nivel`, `id_materia`, `id_docente`, `nota`, `semestre`, `id_seccion`, `id_periodo`, `sede`, `annio`,`aprobacion`,`valoracion`, `cualitativa`) values ('$cedula'," .sqlvalue(@$_POST["yid_alumno"], false).", " .sqlvalue(@$_POST["id_carrera"], true).", '$pensum' , '$mencion', '$nivel', " .sqlvalue(@$_POST["materia"], true).", " .sqlvalue(@$_POST["id_docente"], false).", '$nota','$semestre', " .sqlvalue(@$_POST["seccion"], true).", " .sqlvalue(@$_POST["periodo"], true).", " .sqlvalue(@$_POST["sede"], true).", '$annio', " .sqlvalue(@$_POST["aprobacion"], true).", " .sqlvalue(@$_POST["valoracion"], true).",'$cualitativa')";
 
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar calificación en histórico";
  $script="historico_notas.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error()); 
}

function sql_update($id_alumno)
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $id_carrera= $_POST["xid_carrera"];
  $id_materia= $_POST["xid_materia"];
  $id_periodo= $_POST["xperiodo"];
  
  $valoracion=$_POST["valoracion"];
  $nota=$_POST["nota"];
  if($valoracion=="CUALITATIVA"){
      
	  $cualitativa="REPROBADA";
	  if($nota=="APROBADA") $cualitativa="APROBADA";
	  $nota=0;
   }
   else{
      $cualitativa="REPROBADA";
	  if($nota>=10) $cualitativa="APROBADA";
   }
  	
  $sql = "update `historico_notas` set `nota`='$nota', `id_seccion`=" .sqlvalue(@$_POST["seccion"], true).", `id_periodo`=" .sqlvalue(@$_POST["periodo"], true).", `id_docente`=" .sqlvalue(@$_POST["id_docente"], false).", `sede`=" .sqlvalue(@$_POST["sede"], true) .", `valoracion`=" .sqlvalue(@$_POST["valoracion"], true) .",`cualitativa`='$cualitativa' where id_carrera='$id_carrera' and id_materia='$id_materia' and id_periodo='$id_periodo' and id_alumno='$id_alumno'";

  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar calificación en histórico.";
  $script="historico_notas.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error()); 
}

function sql_delete()
{
  global $conn;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $sql = "delete from `historico_notas` where " .primarykeycondition()." LIMIT 1";
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Eliminar calificación en histórico";
  $script="historico_notas.php";
  $ip=obtener_ip();
  $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error()); 
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ") and ";
  $pk .= "(`id_carrera`";
  if (@$_POST["xid_carrera"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_carrera"], true);
  };
  $pk .= ") and ";
  $pk .= "(`id_materia`";
  if (@$_POST["xid_materia"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_materia"], true);
  };
  $pk .= ") and ";
   $pk .= "(`id_periodo`";
  if (@$_POST["xperiodo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xperiodo"], true);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  
?>
 
<script type="text/javascript">
/**************************************************************
Máscara de entrada. Script creado por Tunait! (21/12/2004)
Si quieres usar este script en tu sitio eres libre de hacerlo con la condición de que permanezcan intactas estas líneas, osea, los créditos.
No autorizo a distribuír el código en sitios de script sin previa autorización
Si quieres distribuírlo, por favor, contacta conmigo.
Ver condiciones de uso en http://javascript.tunait.com/
tunait@yahoo.com 
****************************************************************/
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron3= new Array(2,0)
var patron4= new Array(2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">

function validar_datos()
{

 if(document.addnota.sede.value==0){
	alert("El campo <<Sede>> es obligatorio");
	document.addnota.sede.focus();
	return false;
	}
 if(document.addnota.id_carrera.value==0){
	alert("El campo <<Carrera>> es obligatorio");
	document.addnota.id_carrera.focus();
	return false;
	}
 if(document.addnota.pensum.value==0){
	alert("El campo <<Pensum>> es obligatorio");
	document.addnota.pensum.focus();
	document.addnota.pensum.value=0;
	return false;
	}
if(document.addnota.mencion.value==0){
	alert("El campo <<Componente o Mención>> es obligatorio");
	document.addnota.mencion.focus();
	document.addnota.mencion.value=0;
	return false;
	}
	
if(document.addnota.semestre.value==99){
	alert("El campo <<Semestre>> es obligatorio");
	document.addnota.semestre.focus();
	document.addnota.semestre.value=0;
	return false;
	}		
	
 if(document.addnota.materia.value==0){
	alert("El campo <<Unidad Curricular>> es obligatorio");
	document.addnota.id_materia.focus();
	document.addnota.materia.value=0;
	return false;
	}	
   		
  if(document.addnota.seccion.value==0){
	alert("El campo <<Sección>> es obligatorio");
	document.addnota.seccion.focus();
	document.addnota.seccion.value="";
	return false;
	}	

if(document.addnota.periodo.value==0){
	alert("El campo <<Lapso>> es obligatorio");
	document.addnota.periodo.focus();
	document.addnota.periodo.value=0;
	return false;
	}			
		
if(document.addnota.valoracion.value==0){
	alert("El campo <<Valoración>> es obligatorio");
	document.addnota.valoracion.focus();
	document.addnota.valoracion.value=0;
	return false;
	}
  if(document.addnota.nota.value==0){
	alert("El campo <<Calificación>> es obligatorio");
	document.addnota.nota.focus();
	document.addnota.nota.value=0;
	return false;
	}
	
return true;
}

function validar_datos_edit()
{



  
 if(document.editNota.nota.value==0){
	alert("El campo <<Calificación>> es obligatorio");
	document.editNota.nota.focus();
	return false;
	} 
	


  if(document.editNota.seccion.value==""){
	alert("El campo <<Sección>> es obligatorio");
	document.editNota.seccion.focus();
	return false;
	}	

return true;
}

function verificarNota(id_alumno,id_carrera,id_materia)
    {
   	if (id_materia!="")
	   {
	    url="validar_nota.php?id_alumno="+id_alumno+"&id_carrera="+id_carrera+"&id_materia="+id_materia;
	    frameNota.location=url;
	   }
    }
</script>

